Index: trunk/LMDZ.MARS/libf/aeronomars/paramfoto_compact.F
===================================================================
--- trunk/LMDZ.MARS/libf/aeronomars/paramfoto_compact.F	(revision 1265)
+++ trunk/LMDZ.MARS/libf/aeronomars/paramfoto_compact.F	(revision 1266)
@@ -5014,16 +5001,14 @@
                
                if (nplus_eq(i).eq.'Y') then
-                  avg_pares = ( dlog10(nplusxpares(1)) +
-     &                 dlog10(nplusxpares(2)) +
-     &                 dlog10( nplusxpares(3)) )*0.333
-                  dif_pares = ( abs(dlog10(nplusxpares(1))-avg_pares) + 
-     &                 abs(dlog10(nplusxpares(2))-avg_pares) +   
-     &                 abs(dlog10(nplusxpares(3))-avg_pares) ) * 0.333   
-                  avg_impar = ( dlog10(nplusximpar(1)) + 
-     &                 dlog10(nplusximpar(2)) +
-     &                 dlog10(nplusximpar(3)) )*0.333
-                  dif_impar = ( abs(dlog10(nplusximpar(1))-avg_impar) + 
-     &                 abs(dlog10(nplusximpar(2))-avg_impar) +   
-     &                 abs(dlog10(nplusximpar(3))-avg_impar) ) * 0.333
+                  log1 = dlog10(nplusxpares(1))
+                  log2 = dlog10(nplusxpares(2))
+                  log3 = dlog10(nplusxpares(3))
+                  avg_pares = avg(log1,log2,log3)
+                  dif_pares = dif(log1,log2,log3,avg_pares)
+                  log1 = dlog10(nplusximpar(1))
+                  log2 = dlog10(nplusximpar(2))
+                  log3 = dlog10(nplusximpar(3))
+                  avg_impar = avg(log1,log2,log3)
+                  dif_impar = dif(log1,log2,log3,avg_impar)
                   dispersion = dif_pares + dif_impar
                   dif_pares_impar = abs(avg_pares-avg_impar)
@@ -5035,16 +5020,14 @@
 
                if (hco2plus_eq(i).eq.'Y') then
-                 avg_pares = ( dlog10(hco2plusxpares(1)) +
-     &                dlog10(hco2plusxpares(2)) +
-     &                dlog10(hco2plusxpares(3)) )*0.333
-                 dif_pares = (abs(dlog10(hco2plusxpares(1))-avg_pares)+ 
-     &                abs(dlog10(hco2plusxpares(2))-avg_pares) +   
-     &                abs(dlog10(hco2plusxpares(3))-avg_pares) ) * 0.333   
-                 avg_impar = ( dlog10(hco2plusximpar(1)) + 
-     &                dlog10(hco2plusximpar(2)) +
-     &                dlog10(hco2plusximpar(3)) )*0.333
-                 dif_impar = (abs(dlog10(hco2plusximpar(1))-avg_impar)+ 
-     &                abs(dlog10(hco2plusximpar(2))-avg_impar) +   
-     &                abs(dlog10(hco2plusximpar(3))-avg_impar) ) * 0.333
+                 log1 = dlog10(hco2plusxpares(1))
+                 log2 = dlog10(hco2plusxpares(2))
+                 log3 = dlog10(hco2plusxpares(3))
+                 avg_pares = avg(log1,log2,log3)
+                 dif_pares = dif(log1,log2,log3,avg_pares)
+                 log1 = dlog10(hco2plusximpar(1))
+                 log2 = dlog10(hco2plusximpar(2))
+                 log3 = dlog10(hco2plusximpar(3))
+                 avg_impar = avg(log1,log2,log3)
+                 dif_impar = dif(log1,log2,log3,avg_impar)
                  dispersion = dif_pares + dif_impar
                  dif_pares_impar = abs(avg_pares-avg_impar)
@@ -5120,4 +5103,24 @@
       end
 
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+        function avg(log1,log2,log3)
+        implicit none
+        real*8 avg
+        real*8 log1,log2,log3
+        avg = (log1+log2+log3)*0.333
+        return
+        end
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+        function dif(log1,log2,log3,avg)
+        implicit none
+        real*8 dif
+        real*8 avg
+        real*8 log1,log2,log3
+        dif = (abs(log1-avg) +
+     &                abs(log2-avg) +
+     &                abs(log3-avg) ) * 0.333
+        return
+        end
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
 c**********************************************************************
Index: trunk/LMDZ.MARS/libf/aeronomars/perosat.F
===================================================================
--- trunk/LMDZ.MARS/libf/aeronomars/perosat.F	(revision 1265)
+++ trunk/LMDZ.MARS/libf/aeronomars/perosat.F	(revision 1266)
@@ -25,9 +25,4 @@
 c   -------------
 
-!#include "dimensions.h"
-!#include "dimphys.h"
-!#include "chimiedata.h"
-!#include "tracer.h"
-!#include "conc.h"
 c
 c   arguments:
Index: trunk/LMDZ.MARS/libf/aeronomars/photochemistry.F
===================================================================
--- trunk/LMDZ.MARS/libf/aeronomars/photochemistry.F	(revision 1265)
+++ trunk/LMDZ.MARS/libf/aeronomars/photochemistry.F	(revision 1266)
@@ -17,9 +17,6 @@
       implicit none
 
-!#include "dimensions.h"
-!#include "dimphys.h"
 #include "chimiedata.h" 
 #include "callkeys.h"
-!#include "tracer.h"
 
 cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
@@ -193,6 +190,4 @@
       implicit none 
 
-!#include "dimensions.h"
-!#include "dimphys.h"
 #include "chimiedata.h" 
 #include "callkeys.h" 
@@ -790,6 +785,4 @@
       implicit none
 
-!#include "dimensions.h"
-!#include "dimphys.h"
 #include "chimiedata.h" 
 
@@ -1163,8 +1156,5 @@
       implicit none
 
-!#include "dimensions.h"
-!#include "dimphys.h"
 #include "callkeys.h"
-!#include "tracer.h"
 
 cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
@@ -1268,8 +1258,5 @@
       implicit none
 
-!#include "dimensions.h"
-!#include "dimphys.h"
 #include "callkeys.h"
-!#include "tracer.h"
 
 cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
@@ -1365,7 +1352,4 @@
       implicit none
 
-!#include "dimensions.h"
-!#include "dimphys.h"
-
 cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
 c     inputs:                                                    c
Index: trunk/LMDZ.MARS/libf/aeronomars/surfacearea.F
===================================================================
--- trunk/LMDZ.MARS/libf/aeronomars/surfacearea.F	(revision 1265)
+++ trunk/LMDZ.MARS/libf/aeronomars/surfacearea.F	(revision 1266)
@@ -20,10 +20,6 @@
 
 #include "dimensions.h"
-!#include "dimphys.h"
 #include "callkeys.h"
-!#include "tracer.h"
-!#include "dimradmars.h"
 #include "chimiedata.h"
-!#include "conc.h"
 
 ! input
Index: trunk/LMDZ.MARS/libf/aeronomars/thermosphere.F
===================================================================
--- trunk/LMDZ.MARS/libf/aeronomars/thermosphere.F	(revision 1265)
+++ trunk/LMDZ.MARS/libf/aeronomars/thermosphere.F	(revision 1266)
@@ -9,13 +9,5 @@
       implicit none
 
-!#include "dimensions.h"
-!#include "dimphys.h"
 #include "callkeys.h"
-!#include "comdiurn.h"
-!#include "param.h"
-!#include "param_v4.h"
-!#include "chimiedata.h"
-!#include "conc.h"
-
 
       integer,intent(in) :: ngrid ! number of atmospheric columns
